VULKAN_HPP_NAMESPACE::Viewport Struct Reference

`#include <vulkan.hpp>`

## Public Member Functions

| Viewport (float x_=0, float y_=0, float width_=0, float height_=0, float minDepth_=0, float maxDepth_=0)
| Viewport (VkViewport const &rhs)
Viewport & | operator= (VkViewport const &rhs)
Viewport & | setX (float x_)
Viewport & | setY (float y_)
Viewport & | setWidth (float width_)
Viewport & | setHeight (float height_)
Viewport & | setMinDepth (float minDepth_)
Viewport & | setMaxDepth (float maxDepth_)
| operator VkViewport const & () const
| operator VkViewport & ()
bool | operator== (Viewport const &rhs) const
bool | operator!= (Viewport const &rhs) const

## Data Fields

float | x
float | y
float | width
float | height
float | minDepth
float | maxDepth

## Detailed Description

Definition at line 5354 of file vulkan.hpp.

## Constructor & Destructor Documentation

## Viewport() [1/2]

VULKAN_HPP_NAMESPACE::Viewport::Viewport | ( | float | x_ = `0`,
|  | float | y_ = `0`,
|  | float | width_ = `0`,
|  | float | height_ = `0`,
|  | float | minDepth_ = `0`,
|  | float | maxDepth_ = `0`
| ) |  |

inline

Definition at line 5356 of file vulkan.hpp.

: x( x_ )
, y( y_ )
, width( width_ )
, height( height_ )
, minDepth( minDepth_ )
, maxDepth( maxDepth_ )
{
}

## Viewport() [2/2]

VULKAN_HPP_NAMESPACE::Viewport::Viewport | ( | VkViewport const & | rhs | ) |

inline

Definition at line 5371 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( Viewport ) );
}

References memcpy.

## Member Function Documentation

## operator VkViewport &()

VULKAN_HPP_NAMESPACE::Viewport::operator VkViewport & | ( |  | ) |

inline

Definition at line 5422 of file vulkan.hpp.

{
return *reinterpret_cast<VkViewport*>(this);
}

## operator VkViewport const &()

VULKAN_HPP_NAMESPACE::Viewport::operator VkViewport const & | ( |  | ) | const

inline

Definition at line 5417 of file vulkan.hpp.

{
return *reinterpret_cast<const VkViewport*>(this);
}

## operator!=()

bool VULKAN_HPP_NAMESPACE::Viewport::operator!= | ( | Viewport const & | rhs | ) | const

inline

Definition at line 5437 of file vulkan.hpp.

{
return !operator==( rhs );
}

References operator==().

## operator=()

Viewport& VULKAN_HPP_NAMESPACE::Viewport::operator= | ( | VkViewport const & | rhs | ) |

inline

Definition at line 5376 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( Viewport ) );
return *this;
}

References memcpy.

## operator==()

bool VULKAN_HPP_NAMESPACE::Viewport::operator== | ( | Viewport const & | rhs | ) | const

inline

Definition at line 5427 of file vulkan.hpp.

{
return ( x == rhs.x )
&& ( y == rhs.y )
&& ( width == rhs.width )
&& ( height == rhs.height )
&& ( minDepth == rhs.minDepth )
&& ( maxDepth == rhs.maxDepth );
}

References height, maxDepth, minDepth, width, x, and y.

Referenced by operator!=().

## setHeight()

Viewport& VULKAN_HPP_NAMESPACE::Viewport::setHeight | ( | float | height_ | ) |

inline

Definition at line 5399 of file vulkan.hpp.

{
height = height_;
return *this;
}

## setMaxDepth()

Viewport& VULKAN_HPP_NAMESPACE::Viewport::setMaxDepth | ( | float | maxDepth_ | ) |

inline

Definition at line 5411 of file vulkan.hpp.

{
maxDepth = maxDepth_;
return *this;
}

References maxDepth.

## setMinDepth()

Viewport& VULKAN_HPP_NAMESPACE::Viewport::setMinDepth | ( | float | minDepth_ | ) |

inline

Definition at line 5405 of file vulkan.hpp.

{
minDepth = minDepth_;
return *this;
}

References minDepth.

## setWidth()

Viewport& VULKAN_HPP_NAMESPACE::Viewport::setWidth | ( | float | width_ | ) |

inline

Definition at line 5393 of file vulkan.hpp.

{
width = width_;
return *this;
}

## setX()

Viewport& VULKAN_HPP_NAMESPACE::Viewport::setX | ( | float | x_ | ) |

inline

Definition at line 5381 of file vulkan.hpp.

{
x = x_;
return *this;
}

## setY()

Viewport& VULKAN_HPP_NAMESPACE::Viewport::setY | ( | float | y_ | ) |

inline

Definition at line 5387 of file vulkan.hpp.

{
y = y_;
return *this;
}

## Field Documentation

## height

float VULKAN_HPP_NAMESPACE::Viewport::height

Definition at line 5445 of file vulkan.hpp.

Referenced by operator==().

## maxDepth

float VULKAN_HPP_NAMESPACE::Viewport::maxDepth

Definition at line 5447 of file vulkan.hpp.

Referenced by operator==(), and setMaxDepth().

## minDepth

float VULKAN_HPP_NAMESPACE::Viewport::minDepth

Definition at line 5446 of file vulkan.hpp.

Referenced by operator==(), and setMinDepth().

## width

float VULKAN_HPP_NAMESPACE::Viewport::width

Definition at line 5444 of file vulkan.hpp.

Referenced by operator==().

## x

float VULKAN_HPP_NAMESPACE::Viewport::x

Definition at line 5442 of file vulkan.hpp.

Referenced by operator==().

## y

float VULKAN_HPP_NAMESPACE::Viewport::y

Definition at line 5443 of file vulkan.hpp.

Referenced by operator==().

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.hpp

VULKAN_HPP_NAMESPACE::Viewport::height
float height
Definition: vulkan.hpp:5445
width
GLint GLint GLsizei width
Definition: SDL_opengl.h:1572
memcpy
#define memcpy
Definition: SDL_malloc.c:630
VULKAN_HPP_NAMESPACE::Viewport::y
float y
Definition: vulkan.hpp:5443
VULKAN_HPP_NAMESPACE::Viewport::operator==
bool operator==(Viewport const &rhs) const
Definition: vulkan.hpp:5427
VULKAN_HPP_NAMESPACE::Viewport::Viewport
Viewport(float x_=0, float y_=0, float width_=0, float height_=0, float minDepth_=0, float maxDepth_=0)
Definition: vulkan.hpp:5356
x
GLint GLint GLint GLint GLint x
Definition: SDL_opengl.h:1574
VULKAN_HPP_NAMESPACE::Viewport::width
float width
Definition: vulkan.hpp:5444
height
GLint GLint GLsizei GLsizei height
Definition: SDL_opengl.h:1572
VkViewport
Definition: vulkan_core.h:2345
VULKAN_HPP_NAMESPACE::Viewport::maxDepth
float maxDepth
Definition: vulkan.hpp:5447
y
GLint GLint GLint GLint GLint GLint y
Definition: SDL_opengl.h:1574
VULKAN_HPP_NAMESPACE::Viewport::minDepth
float minDepth
Definition: vulkan.hpp:5446
VULKAN_HPP_NAMESPACE::Viewport::x
float x
Definition: vulkan.hpp:5442